--local cockpit = 0
-- 0 = SU-25T
-- 1 = F-15C
-- 2 = A-10A

declare_plugin("FA-18E",
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
version		 = "1.0",
state		 = "installed",
info		 = _("The F/A-18E is a multirole fighter mainly used by the U.S. NAVY."),

InputProfiles =
	{
		["FA-18E"]     = current_mod_path..'/Input/FA-18E',
	},

Skins	= 
	{
		{
			name	= _("FA-18E"),
			dir		= "Theme"
		},
	},

Missions =
	{
		{
			name		= _("FA-18E"),
			dir			= "Missions",
		},
	},	

LogBook =
	{
		{
			name		= _("F/A-18E"),
			type		= "FA-18E",
		},
	},	
})
---------------------------------------------------------------------------------------

mount_vfs_model_path(current_mod_path.."/Shapes")
mount_vfs_liveries_path(current_mod_path.."/Liveries")
mount_vfs_texture_path(current_mod_path.."/Textures/FA-18E")
mount_vfs_sound_path(current_mod_path.."/Sounds")

--dofile(current_mod_path.."/LAU-127A.lua")
--dofile(current_mod_path.."/FA-18E-PTB.lua")
dofile(current_mod_path.."/FA-18E.lua")
dofile(current_mod_path.."/Weapons/Loadout.lua")

--if cockpit == 1 then
	--mount_vfs_model_path(current_mod_path.."/CockpitF15")
	--dofile(current_mod_path.."/Views-F15Pit.lua")
	--make_view_settings('FA-18E', ViewSettings, SnapViews)
	--make_flyable('FA-18E', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', {'FA-18E', nil, old = 6}, current_mod_path..'/comm.lua')
--elseif cockpit == 2 then
	--mount_vfs_model_path(current_mod_path.."/CockpitA10")
	--dofile(current_mod_path.."/Views-A10APit.lua")
	--make_view_settings('FA-18E', ViewSettings, SnapViews)
	--make_flyable('FA-18E', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', {'FA-18E', nil, old = 17}, current_mod_path..'/comm.lua')
--else
	--mount_vfs_model_path(current_mod_path.."/CockpitSU25")
	--dofile(current_mod_path.."/Views-SU25TPit.lua")
	--make_view_settings('FA-18E', ViewSettings, SnapViews)
	--make_flyable('FA-18E', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', nil, current_mod_path..'/comm.lua')
--end

mount_vfs_model_path(current_mod_path.."/CockpitF15")
	dofile(current_mod_path.."/Views-F15Pit.lua")
	make_view_settings('FA-18E', ViewSettings, SnapViews)
	make_flyable('FA-18E', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', {'FA-18E', nil, old = 6}, current_mod_path..'/comm.lua')

plugin_done()-- finish declaration , clear temporal data
